List Organizations
Search for Organizations. By default, the first 100 organizations of the instance that you have permission to read are returned (the default and the maximum limit of 1000 can be configured). Make sure to include a limit and sorting for pagination.
Required permission:
org.read
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v2/organizations/_search" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"totalResult": 0,
"processedSequence": 0,
"timestamp": "2023-01-15T01:30:15.01Z"
},
"sortingColumn": "ORGANIZATION_FIELD_NAME_UNSPECIFIED",
"result": [
{
"id": "string",
"details": {
"sequence": 0,
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string",
"creationDate": "2023-01-15T01:30:15.01Z"
},
"state": "ORGANIZATION_STATE_UNSPECIFIED",
"name": "string",
"primaryDomain": "string"
}
]
}Was this page helpful?
List Organization Metadata
List Organization Metadata: List metadata of an organization filtered by query. Required permission:
Set Organization Metadata
Set Organization Metadata: Sets a list of key value pairs. Existing metadata entries with matching keys are overwritten. Existing metadata entries without matching keys are untouched. To remove existing metadata entries, pas...
